/*
 *		Commodore 64 Spoof Emulator (C) Eddy Carroll, 1st April 1988
 *
 * Module: SCREEN.H
 *
 * This module contains standard definitions for all modules
 * the emulator.
 *
 */

/* Control character representations */
#define C_CR		'\r'	/* Must be real */
#define C_UP		'\01'
#define C_DOWN		'\02'
#define C_LEFT		'\03'
#define C_RIGHT		'\04'
#define C_HOME		'\05'
#define C_INSERT	'\06'
#define C_CLEAR		'\07'
#define C_DEL		'\010'	/* Must be real */
#define C_REDRAW	'\014'	/* Control-L	*/

#define CSI			'\233'

/* Menu keys */
#define M_ABOUT 1
#define M_TITLE 2
#define M_QUIT  3

/* For enabling/disabling cursor */
#define CURSORON  writechar(cursorx,cursory,screen[cursory][cursorx],1)
#define CURSOROFF writechar(cursorx,cursory,screen[cursory][cursorx],0)

#ifndef SCREEN
#define GLOB extern
#endif
#ifdef SCREEN
#define GLOB
#endif

/*
 * Global Variables
 *
 */

GLOB int cursorx, cursory;		/* Position of cursor on screen */
GLOB int titlebar;				/* Start off with titlebar off  */
GLOB char screen[25][40];		/* Stores characters for screen */
GLOB struct Screen *myscreen;
GLOB struct Window *mywin;
GLOB struct IntuitionBase *IntuitionBase;
GLOB struct GfxBase *GfxBase;
GLOB char constring[5];			/* For reads from console 		*/
GLOB struct IOStdReq *ConReadReq;
GLOB struct MsgPort *ConReadPort;

extern struct MsgPort *CreatePort();
extern struct IOStdReq *CreateStdIO();
extern void DeletePort(),DeleteStdIO();
